﻿using System;
using System.Text;
using System.Windows.Forms;

namespace fblock.manager
{
    public class MyFBlockImpl : FBlockAccessorBase
    {
        private MainForm mainForm = null;

        public MyFBlockImpl()
            : base()
        {
            this.ShowUI = false;
        }

        public override Form GetForm()
        {
            if (this.mainForm == null)
            {
                this.mainForm = new MainForm(this, this);
            }
            return this.mainForm;
        }

        public override string GetName()
        {
            return "FBlock " + this.mainForm.FBlockID.ToString();
        }

        public override string GetCategory()
        {
            return "FBlock"; // or Shadow
        }

        public override string GetDescription()
        {
            return "This is a sample implementation";
        }

        public override string GetVersion()
        {
            return "The Version 2.23.42 is used";
        }

        public override string GetCatalog()
        {
            return "The Catalog 1.5.5.23 is used";
        }

        public override int GetFBlockID()
        {
            return this.mainForm.FBlockID;
        }

        public override int GetInstanceID()
        {
            return this.mainForm.InstanceID;
        }

        public override bool RunInitialize()
        {
            // Put some initialization code here.
            if (this.ReportSink != null)
            {
                this.ReportSink.Message("Initialization of [" + this.GetName() + "] successful.");
            }
            return true;
        }

        public override bool RunCleanup()
        {
            // Put some cleanup code here.
            if (this.ReportSink != null)
            {
                this.ReportSink.Message("Cleanup of [" + this.GetName() + "] successful.");
            }
            return true;
        }

        public override bool RunConnect()
        {
            return this.mainForm.Connect();
        }

        public override bool RunDisconnect()
        {
            return this.mainForm.Disconnect();
        }

        public override bool RunLoadConfiguration()
        {
            // Load FBlock's configuration right here.
            if (this.ReportSink != null)
            {
                this.ReportSink.Message("Configuration of [" + this.GetName() + "] loaded.");
            }
            return true;
        }

        public override bool RunSaveConfiguration()
        {
            // Save FBlock's configuration right here.
            if (this.ReportSink != null)
            {
                this.ReportSink.Message("Configuration of [" + this.GetName() + "] saved.");
            }
            return true;
        }
    }
}
