﻿/*
 * Copyright (C)  2010  Axel Kesseler
 * 
 * This software is free and you can use it for any purpose. Furthermore, 
 * you are free to copy, to modify and/or to redistribute this software.
 * 
 * In addition, this software is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

using System;

namespace fblock.manager
{
    public class InstanceIDChangedEventArgs : EventArgs
    {
        private int instanceID;

        public InstanceIDChangedEventArgs(int instanceID)
            : base()
        {
            this.instanceID = instanceID;
        }

        public int InstanceID
        {
            get { return this.instanceID; }
        }
    }
    
    public class ShowUIChangedEventArgs : EventArgs
    {
        public enum ShowState
        {
            Minimized = 1,
            Maximized = 2,
            Shown = 3,
            Hidden = 4,
        }

        private bool showUI;
        private ShowState showState;

        public ShowUIChangedEventArgs(bool showUI, ShowState stateUI)
            : base()
        {
            this.showUI = showUI;
            this.showState = stateUI;
        }

        public bool ShowUI
        {
            get { return this.showUI;}
        }

        public ShowState StateUI
        {
            get { return this.showState; }
        }
    }
}

// EOF