﻿/*
 * Copyright (C)  2010  Axel Kesseler
 * 
 * This software is free and you can use it for any purpose. Furthermore, 
 * you are free to copy, to modify and/or to redistribute this software.
 * 
 * In addition, this software is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

using System;

namespace fblock.manager
{
    public interface IReportSink
    {
        // Report's given text as a message.
        void Message(string description);
        void Message(string description, string source);
        void Message(string description, string source, string category);

        // Report's given text as a message (including object).
        void Message(string description, object additional);
        void Message(string description, string source, object additional);
        void Message(string description, string source, string category, object additional);

        // Report's given text as a warning.
        void Warning(string description);
        void Warning(string description, string source);
        void Warning(string description, string source, string category);

        // Report's given text as a warning (including object).
        void Warning(string description, object additional);
        void Warning(string description, string source, object additional);
        void Warning(string description, string source, string category, object additional);

        // Report's given text as an error.
        void Error(string description);
        void Error(string description, string source);
        void Error(string description, string source, string category);

        // Report's given text as an error (including object).
        void Error(string description, object additional);
        void Error(string description, string source, object additional);
        void Error(string description, string source, string category, object additional);

        // Report's given text as a debug message.
        void Debug(string description);
        void Debug(string description, string source);
        void Debug(string description, string source, string category);

        // Report's given text as a debug message (including object).
        void Debug(string description, object additional);
        void Debug(string description, string source, object additional);
        void Debug(string description, string source, string category, object additional);
    }
}

// EOF