﻿/*
 * Copyright (C)  2010  Axel Kesseler
 * 
 * This software is free and you can use it for any purpose. Furthermore, 
 * you are free to copy, to modify and/or to redistribute this software.
 * 
 * In addition, this software is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

using System;
using System.Drawing;
using System.Windows.Forms;

namespace fblock.manager
{
    public class CustomColorTable : ProfessionalColorTable
    {
        private Color normal;
        private Color highlight;
        private Color focus;
        private Color check;

        public CustomColorTable()
        {
            this.normal = SystemColors.Control;
            this.highlight = Color.FromArgb(188, 209, 243);
            this.focus = Color.FromArgb(214, 226, 248);
            this.check = Color.FromArgb(228, 237, 250);
        }

        public override Color ImageMarginGradientBegin
        {
            get { return this.normal; }
        }

        public override Color ImageMarginGradientEnd
        {
            get { return this.normal; }
        }

        public override Color ImageMarginGradientMiddle
        {
            get { return this.normal; }
        }

        public override Color MenuItemSelectedGradientBegin
        {
            get { return this.highlight; }
        }

        public override Color MenuItemSelectedGradientEnd
        {
            get { return this.highlight; }
        }

        public override Color MenuStripGradientBegin
        {
            get { return this.normal; }
        }
        
        public override Color MenuStripGradientEnd
        {
            get { return this.normal; }
        }

        public override Color MenuItemPressedGradientBegin
        {
            get { return this.normal; }
        }

        public override Color MenuItemPressedGradientEnd
        {
            get { return this.normal; }
        }

        public override Color MenuItemPressedGradientMiddle
        {
            get { return this.normal; }
        }

        public override Color MenuItemSelected
        {
            get { return this.highlight; }
        }

        public override Color ToolStripBorder
        {
            get { return this.normal; }
        }

        public override Color ToolStripGradientBegin
        {
            get { return this.normal; }
        }

        public override Color ToolStripGradientMiddle
        {
            get { return this.normal; }
        }

        public override Color ToolStripGradientEnd
        {
            get { return this.normal; }
        }

        public override Color ButtonCheckedGradientBegin
        {
            get { return this.check; }
        }

        public override Color ButtonCheckedGradientMiddle
        {
            get { return this.check; }
        }

        public override Color ButtonCheckedGradientEnd
        {
            get { return this.check; }
        }

        public override Color ButtonSelectedGradientBegin
        {
            get { return this.focus; }
        }

        public override Color ButtonSelectedGradientMiddle
        {
            get { return this.focus; }
        }

        public override Color ButtonSelectedGradientEnd
        {
            get { return this.focus; }
        }

        public override Color ButtonPressedGradientBegin
        {
            get { return this.highlight; }
        }

        public override Color ButtonPressedGradientMiddle
        {
            get { return this.highlight; }
        }

        public override Color ButtonPressedGradientEnd
        {
            get { return this.highlight; }
        }

        public override Color CheckBackground
        {
            get { return this.check; }
        }

        public override Color CheckSelectedBackground
        {
            get { return this.focus; }
        }
    }
}

// EOF