﻿/*
 * Copyright (C)  2010  Axel Kesseler
 * 
 * This software is free and you can use it for any purpose. Furthermore, 
 * you are free to copy, to modify and/or to redistribute this software.
 * 
 * In addition, this software is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

using System;
using System.Text;
using System.ComponentModel;
using System.Collections.Generic;

namespace fblock.manager
{
    public enum DoubleClickAction
    {
        [Description("Nothing")]
        Nothing,
        [Description("Show/Hide UI")]
        ToggleUIVisibility,
        [Description("Connect/Disconnect")]
        ToggleConnectState,
    }

    internal class DoubleClickActionHelper
    {
        private DoubleClickAction action;
        private string description;

        public DoubleClickActionHelper(DoubleClickAction action)
        {
            this.action = action;
            this.description = GetDescription(action);
        }

        public DoubleClickAction Action
        {
            get { return this.action; }
        }

        public string Description
        {
            get { return this.description; }
        }

        public string GetDescription(DoubleClickAction action)
        {
            System.Reflection.FieldInfo fi = action.GetType().GetField(action.ToString());
            DescriptionAttribute[] attributes = (DescriptionAttribute[])fi.GetCustomAttributes(typeof(DescriptionAttribute), false);
            return attributes.Length > 0 ? attributes[0].Description : action.ToString();
        }
    }
}
