﻿/*
 * Copyright (C)  2010  Axel Kesseler
 * 
 * This software is free and you can use it for any purpose. Furthermore, 
 * you are free to copy, to modify and/or to redistribute this software.
 * 
 * In addition, this software is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

using System;
using System.Windows.Forms;

namespace fblock.manager
{
    public class FBlockTextBox : TextBox
    {
        public FBlockTextBox()
            : base()
        {
        }

        public void SetFBlock(FBlockInvoker fblock)
        {
            this.Text = "";

            if (fblock != null)
            {
                this.Text = string.Format(
                    "Name:         {0}\r\nCategory:     {1}\r\nDescription:  {2}\r\nVersion:      {3}\r\nCatalog:      {4}\r\nFBlockID:     {5} (0x{6:X4})\r\nInstanceID:   {7}\r\nConnected:    {8}\r\nShowUI:       {9}\r\nBinary:       {10}\r\n", 
                    fblock.Name,
                    fblock.Category, 
                    fblock.Description, 
                    fblock.Version, 
                    fblock.Catalog, 
                    fblock.FBlockID, 
                    fblock.FBlockID, 
                    fblock.InstanceID, 
                    fblock.IsConnected,
                    fblock.ShowUI,
                    ApplicationSettings.RelativePath(fblock.AssemblyName)
                );
            }
        }
    }
}

// EOF