﻿/*
 * Copyright (C)  2010  Axel Kesseler
 * 
 * This software is free and you can use it for any purpose. Furthermore, 
 * you are free to copy, to modify and/or to redistribute this software.
 * 
 * In addition, this software is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

using System;
using System.Data;
using System.Text;
using System.Drawing;
using System.Windows.Forms;
using System.ComponentModel;
using System.Collections.Generic;

namespace fblock.manager
{
    public partial class ProjectSettingsDialog : Form
    {
        private MainForm parent = null;
        ProjectSettings settings = null;

        public ProjectSettingsDialog(MainForm parent, ProjectSettings settings)
        {
            this.parent = parent;
            this.settings = settings;
            this.InitializeComponent();
            this.PostInitializeComponent();
        }

        public ProjectSettings Settings
        {
            get { return this.settings; }
        }

        private void PostInitializeComponent()
        {
            this.txtSaved.Text = this.settings.Saved.ToShortDateString() + ", " + this.settings.Saved.ToShortTimeString();
            this.txtAuthor.Text = this.settings.Author;
            this.txtRemark.Text = this.settings.Remark;
            this.txtDivision.Text = this.settings.Division;
            this.txtDescription.Text = this.settings.Description;
        }

        private void btnSave_Click(object sender, EventArgs args)
        {
            this.settings.Author = this.txtAuthor.Text;
            this.settings.Remark = this.txtRemark.Text;
            this.settings.Division = this.txtDivision.Text;
            this.settings.Description = this.txtDescription.Text;
            this.parent.Dirty = true;
        }
    }
}

// EOF